# Uses of Interface
org.eclipse.emf.compare.diff.IDiffProcessor

Packages that use IDiffProcessor
Package
Description
org.eclipse.emf.compare.diff

## Uses of IDiffProcessor in org.eclipse.emf.compare.diff

Classes in org.eclipse.emf.compare.diff that implement IDiffProcessor
Modifier and Type
Class
Description
`class`
`DiffBuilder`
This default implementation of an `IDiffProcessor` will build the necessary differences and attach them to the appropriate `Match`.
Methods in org.eclipse.emf.compare.diff that return IDiffProcessor
Modifier and Type
Method
Description
`protected final IDiffProcessor`
DefaultDiffEngine.`getDiffProcessor()`
This will return the diff processor that has been created through
invalid reference

    #createDiffProcessor()

for this differencing process.
Constructors in org.eclipse.emf.compare.diff with parameters of type IDiffProcessor
Modifier
Constructor
Description
``
`DefaultDiffEngine(IDiffProcessor processor)`
Create the diff engine.